com.mockobjects.io

## Class MockOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.mockobjects.io.MockOutputStream

- All Implemented Interfaces:
    Verifiable, java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class MockOutputStream
      extends java.io.OutputStream
      implements Verifiable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockOutputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearActualBuffer()`
    `void` | `close()`
    `void` | `flush()`
    `java.lang.String` | `getContents()`
    `byte[]` | `getContentsAsByteArray()` Added in response to Bug report 546661.
    `void` | `setExpectedCloseCalls(int closeCall)`
    `void` | `setExpectedFlushCalls(int flushCall)`
    `void` | `setExpectingWriteCalls(boolean expectingWriteCall)`
    `void` | `setupThrowIOException(boolean throwException)`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `write, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockOutputStream

          public MockOutputStream()

  - ### Method Detail

    - #### clearActualBuffer

          public void clearActualBuffer()

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

    - #### getContents

          public java.lang.String getContents()

    - #### getContentsAsByteArray

          public byte[] getContentsAsByteArray()

      Added in response to Bug report 546661.

    - #### setExpectedCloseCalls

          public void setExpectedCloseCalls(int closeCall)

    - #### setExpectedFlushCalls

          public void setExpectedFlushCalls(int flushCall)

    - #### setExpectingWriteCalls

          public void setExpectingWriteCalls(boolean expectingWriteCall)

    - #### setupThrowIOException

          public void setupThrowIOException(boolean throwException)

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`

Copyright © 2002 Mock Objects. All Rights Reserved.